<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
<log4j:configuration debug="true"
    xmlns:log4j="http://jakarta.apache.org/log4j/">

    <appender name="console" class="org.apache.log4j.ConsoleAppender">
        <layout class="org.apache.log4j.PatternLayout">
        <param name="ConversionPattern"
            value="[%p] %d{yyyy-MM-dd HH:mm:ss} %F %L - %m%n" />
        </layout>
    </appender>

    <appender name="file" class="org.apache.log4j.FileAppender">
        <param name="file" value="logfile.log"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[%p] %d{yyyy-MM-dd HH:mm:ss} %F %L - %m%n" />
        </layout>
    </appender>

    <root>
        <level value = "INFO" />
        <appender-ref ref="console" />
        <appender-ref ref="file" />
    </root>
</log4j:configuration>